package extnet

// IDs gets array of ExtNetIDs from ListExtNets struct
func (le ListExtNets) IDs() []uint64 {
	res := make([]uint64, 0, len(le.Data))
	for _, e := range le.Data {
		res = append(res, e.ID)
	}
	return res
}

// IDs gets array of ComputeIDs from ListExtNetComputes struct
func (le ListExtNetComputes) IDs() []uint64 {
	res := make([]uint64, 0, len(le.Data))
	for _, e := range le.Data {
		res = append(res, e.ID)
	}
	return res
}
